Bug 382711 - SELinux is preventing /usr/libexec/mysqld (mysqld_t) "search" to (user_home_dir_t
SELinux is preventing /usr/libexec/mysqld (mysqld_t) "search" to (user_home_d...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 11:08 EST by Rogue
Modified: 2008-01-30 14:19 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:19:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rogue 2007-11-14 11:08:26 EST
mysql-5.0.45-4.fc8
------------------

Starting up mysqld service throws the following policy exception:

Summary
    SELinux is preventing /usr/libexec/mysqld (mysqld_t) "search" to <Unknown>
    (user_home_dir_t).

Detailed Description
    SELinux denied access requested by /usr/libexec/mysqld. It is not expected
    that this access is required by /usr/libexec/mysqld and this access may
    signal an intrusion attempt. It is also possible that the specific version
    or configuration of the application is causing it to require additional
    access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for <Unknown>, restorecon -v
    <Unknown> If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:mysqld_t:s0
Target Context                system_u:object_r:user_home_dir_t:s0
Target Objects                None [ dir ]
Affected RPM Packages         mysql-server-5.0.45-4.fc8 [application]
Policy RPM                    selinux-policy-3.0.8-47.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     Xymnotune
Platform                      Linux Xymnotune 2.6.23.1-49.fc8 #1 SMP Thu Nov 8
                              21:41:26 EST 2007 i686 i686
Alert Count                   3
First Seen                    Wed 14 Nov 2007 09:26:28 PM IST
Last Seen                     Wed 14 Nov 2007 09:26:29 PM IST
Local ID                      62ea6dc4-efb8-43d3-9e9e-249ec2773463
Line Numbers                  

Raw Audit Messages            

avc: denied { search } for comm=mysqld dev=dm-0 egid=0 euid=0
exe=/usr/libexec/mysqld exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name=root
pid=7569 scontext=system_u:system_r:mysqld_t:s0 sgid=0
subj=system_u:system_r:mysqld_t:s0 suid=0 tclass=dir
tcontext=system_u:object_r:user_home_dir_t:s0 tty=pts1 uid=0

------------

This is a fresh install of F8.
Comment 1 Daniel Walsh 2007-11-14 12:24:03 EST
Fixed in selinux-policy-3.0.8-54.fc8
Comment 2 Daniel Walsh 2008-01-30 14:19:43 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.